<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/5_Mission/GUI/NewUI/Keybindings/KeybindingElement.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d17/_keybinding_element_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">KeybindingElement.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d17/_keybinding_element_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span> </div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="keyword">class </span>KeybindingElement <span class="keyword">extends</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>{</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa76415440104c254a3568da6b7d43458">    4</a></span>    <span class="keyword">protected</span> KeybindingsGroup              <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aa76415440104c254a3568da6b7d43458">m_Group</a>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                        <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">m_Root</a>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aae2a5cc1581cf781edd08e7964765e80">    7</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>                    <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aae2a5cc1581cf781edd08e7964765e80">m_ElementName</a>;</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa5ef9ec8f05f28d5742184c8e7860ecd">    8</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>                    <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#aa5ef9ec8f05f28d5742184c8e7860ecd">m_ElementModifier</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a4a7b2ce052ece907d1dae91e5b3a3b8c">    9</a></span>    <span class="keyword">protected</span> ButtonWidget                  <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a4a7b2ce052ece907d1dae91e5b3a3b8c">m_PrimaryBindButton</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a3fd0a40a804b37547582ec8af3ef5f4e">   10</a></span>    <span class="keyword">protected</span> ButtonWidget                  <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a3fd0a40a804b37547582ec8af3ef5f4e">m_AlternativeBindButton</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a174b9d008fb839d4b92770080e2d1542">   11</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                        <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a174b9d008fb839d4b92770080e2d1542">m_PrimaryClear</a>;</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a27d858834f2bed64da64607f1eb19379">   12</a></span>    <span class="keyword">protected</span> <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>                        <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a27d858834f2bed64da64607f1eb19379">m_AlternativeClear</a>;</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a51e13d15e80d554d2891abd46fc02a0e">   14</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span>                           <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a51e13d15e80d554d2891abd46fc02a0e">m_ElementIndex</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ad73676d6c90beb803937264def58944e">   15</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                          <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#ad73676d6c90beb803937264def58944e">m_IsEdited</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#af972ff595b3f0c12df7f2474e49adff9">   16</a></span>    <span class="keyword">protected</span> <span class="keywordtype">bool</span>                          <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#af972ff595b3f0c12df7f2474e49adff9">m_IsAlternateEdited</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a0834bc065eaf8ab702c7994d94104738">   18</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a>                <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a0834bc065eaf8ab702c7994d94104738">m_CustomBind</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a218a5f6993f3b0a098f9223fc6e01d45">   19</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a>                <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a218a5f6993f3b0a098f9223fc6e01d45">m_CustomAlternateBind</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a785626840d7d36c0dba3a4edc8a46948">   21</a></span>    <span class="keyword">protected</span> ref Timer                     m_EntryTimer = <span class="keyword">new</span> Timer( <a class="code hl_variable" href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a> );</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#abc0196fd298035b4893d187dcb635893">   23</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#abc0196fd298035b4893d187dcb635893">KeybindingElement</a>( <span class="keywordtype">int</span> key_index, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> parent, KeybindingsGroup group )</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    {</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>                  = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">GetWorkspace</a>().<a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">CreateWidgets</a>( <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a9e8b987fef96d9ce15da4b1f0617200b">GetLayoutName</a>(), parent );</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_ElementName           = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;setting_label&quot;</span> ) );</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_ElementModifier       = <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a>.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;modifier_label&quot;</span> ) );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        m_PrimaryBindButton     = ButtonWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;primary_bind&quot;</span> ) );</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        m_AlternativeBindButton = ButtonWidget.Cast( <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;alternative_bind&quot;</span> ) );</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_PrimaryClear          = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;primary_clear&quot;</span> );</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        m_AlternativeClear      = <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.FindAnyWidget( <span class="stringliteral">&quot;alternative_clear&quot;</span> );</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        </div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_Group                 = group;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        m_ElementIndex          = key_index;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3fddfaa85c810a788962f7e46522cd7c">Reload</a>();</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        <a class="code hl_variable" href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a>.SetHandler( <span class="keyword">this</span> );</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    }</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a9e8b987fef96d9ce15da4b1f0617200b">   40</a></span>    <span class="keywordtype">string</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a9e8b987fef96d9ce15da4b1f0617200b">GetLayoutName</a>()</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    {</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;gui/layouts/new_ui/options/keybindings_selectors/keybinding_option.layout&quot;</span>;</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    }</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#af2733ae6095bc52db6a67d6ffa418f5b">   45</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#af2733ae6095bc52db6a67d6ffa418f5b">IsChanged</a>()</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#ad73676d6c90beb803937264def58944e">m_IsEdited</a>;</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ae9967cb314a78c9afe488de757d1da75">   50</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ae9967cb314a78c9afe488de757d1da75">IsAlternateChanged</a>()</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    {</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#af972ff595b3f0c12df7f2474e49adff9">m_IsAlternateEdited</a>;</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a8f5a85fabb6a8642dda02ca0ea5fa15e">   55</a></span>    <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a8f5a85fabb6a8642dda02ca0ea5fa15e">GetChangedBinds</a>()</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    {</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a0834bc065eaf8ab702c7994d94104738">m_CustomBind</a>;</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa010a657038cf83662c234e8a03d35a5">   60</a></span>    <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa010a657038cf83662c234e8a03d35a5">GetChangedAlternateBinds</a>()</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d9/d0e/group___widget_a_p_i.html#a218a5f6993f3b0a098f9223fc6e01d45">m_CustomAlternateBind</a>;</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    }</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    </div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <span class="comment">// assembly all related binding at widget element</span></div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a2f5534cc2e03cac5a595ee8329d06d0c">   66</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a2f5534cc2e03cac5a595ee8329d06d0c">SetElementTitle</a>( ButtonWidget btnWidget, <a class="code hl_class" href="../../d4/d84/class_u_a_input.html">UAInput</a> pInput, <span class="keywordtype">int</span> iDeviceFlags )</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordtype">string</span> output;</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>        <span class="keywordtype">int</span> a, i, countbind = 0;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">for</span>( a = 0; a &lt; pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a9eec0700250a5a241ec0f4343bb93b28">AlternativeCount</a>(); a++ )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#aa1d7e1026e66a97aea62e86ef94cf85a">SelectAlternative</a>(a);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>            <span class="keywordflow">if</span>( pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#ab0ad41bb70c2216547725d03507e577c">IsCombo</a>() )</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>            {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>                <span class="keywordflow">if</span>( pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a796d99ca2a37c671b0cb7a611080c403">BindingCount</a>() &gt; 0 )</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>                {</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>                    <span class="keywordflow">if</span>( pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a2b3a6793ded4a383f1203be37b938c82">Binding</a>(0) != 0 &amp;&amp; pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#af5c65030720fe3756cb9181f8dcf6fe0">CheckBindDevice</a>(0,iDeviceFlags) )</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>                    {</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>                        <span class="keywordflow">if</span>( countbind &gt; 0 )</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>                            output += <span class="stringliteral">&quot;, &quot;</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>                        </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>                        output += <a class="code hl_function" href="../../d4/d5a/_u_a_input_8c.html#a616105f49c02ce570dbb5acb4b9b17f8">GetUApi</a>().<a class="code hl_function" href="../../d6/ddd/class_u_a_input_a_p_i.html#a643f52ee26e0d07840e9a014eccb7e75">GetButtonName</a>( pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a2b3a6793ded4a383f1203be37b938c82">Binding</a>(0) );</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>                        countbind++;</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                        </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                        <span class="keywordflow">for</span>( i = 1; i &lt; pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a796d99ca2a37c671b0cb7a611080c403">BindingCount</a>(); i++ )</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>                        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>                            <span class="keywordflow">if</span>( pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a2b3a6793ded4a383f1203be37b938c82">Binding</a>(i) != 0 )</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>                            {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                                output += <span class="stringliteral">&quot; + &quot;</span> + <a class="code hl_function" href="../../d4/d5a/_u_a_input_8c.html#a616105f49c02ce570dbb5acb4b9b17f8">GetUApi</a>().<a class="code hl_function" href="../../d6/ddd/class_u_a_input_a_p_i.html#a643f52ee26e0d07840e9a014eccb7e75">GetButtonName</a>( pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a2b3a6793ded4a383f1203be37b938c82">Binding</a>(i) );</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                                countbind++;</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                            }</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                        }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                        </div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                }</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>            <span class="keywordflow">else</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            {</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>                <span class="keywordflow">if</span>( pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a796d99ca2a37c671b0cb7a611080c403">BindingCount</a>() &gt; 0 )</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>                {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>                    <span class="keywordflow">if</span>( pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a2b3a6793ded4a383f1203be37b938c82">Binding</a>(0) != 0 &amp;&amp; pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#af5c65030720fe3756cb9181f8dcf6fe0">CheckBindDevice</a>(0,iDeviceFlags) )</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>                    {</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>                        <span class="keywordflow">if</span>( countbind &gt; 0 )</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>                            output += <span class="stringliteral">&quot;, &quot;</span>;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span> </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>                        output += <a class="code hl_function" href="../../d4/d5a/_u_a_input_8c.html#a616105f49c02ce570dbb5acb4b9b17f8">GetUApi</a>().<a class="code hl_function" href="../../d6/ddd/class_u_a_input_a_p_i.html#a643f52ee26e0d07840e9a014eccb7e75">GetButtonName</a>( pInput.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a2b3a6793ded4a383f1203be37b938c82">Binding</a>(0) );</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>                        countbind++;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>                    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>                }</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            </div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        }</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span> </div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        <span class="comment">// nothing may be available - we do not want &quot;null&quot; or &quot;0&quot; in string</span></div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">if</span>( countbind &gt; 0 )</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>            btnWidget.SetText(output);</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            btnWidget.SetText(<span class="stringliteral">&quot;&quot;</span>);</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a3fddfaa85c810a788962f7e46522cd7c">  122</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3fddfaa85c810a788962f7e46522cd7c">Reload</a>()</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <a class="code hl_class" href="../../d4/d84/class_u_a_input.html">UAInput</a> input           = <a class="code hl_function" href="../../d4/d5a/_u_a_input_8c.html#a616105f49c02ce570dbb5acb4b9b17f8">GetUApi</a>().<a class="code hl_function" href="../../d6/ddd/class_u_a_input_a_p_i.html#a121284b551b5775907e20572c4f32a57">GetInputByID</a>( m_ElementIndex );</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        m_IsEdited              = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        m_IsAlternateEdited     = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        m_CustomBind            = null;</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        m_CustomAlternateBind   = null;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span> </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">if</span>( input.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#ae3a25d3438d53cc4510d4f953b78061e">IsLimited</a>() )</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            <span class="keywordflow">if</span>( input.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#ad7ce198eb2b692d20c618e9b9b1b001a">IsPressLimit</a>() )</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>            {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>                m_ElementModifier.SetText( <span class="stringliteral">&quot;#keybind_press&quot;</span> );</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>            }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>            <span class="keywordflow">if</span>( input.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#aabaa380fd844cab1674b0632c242e094">IsReleaseLimit</a>() )</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>            {</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>                m_ElementModifier.SetText( <span class="stringliteral">&quot;#keybind_release&quot;</span> );</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>            }</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>            <span class="keywordflow">if</span>( input.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a2a6104fbdf96b25bdc13669a5a65a892">IsHoldLimit</a>() )</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>                m_ElementModifier.SetText( <span class="stringliteral">&quot;#keybind_hold&quot;</span> );</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>            }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>            <span class="keywordflow">if</span>( input.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#abb36dbc999b9276097778e8f656859ff">IsHoldBeginLimit</a>() )</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            {</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>                m_ElementModifier.SetText( <span class="stringliteral">&quot;#keybind_holdbegin&quot;</span> );</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>            }</div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>            <span class="keywordflow">if</span>( input.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#a39c2017828383953b6388b32b4f2e7bf">IsClickLimit</a>() )</div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>            {</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>                m_ElementModifier.SetText( <span class="stringliteral">&quot;#keybind_click&quot;</span> );</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>            }</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <span class="keywordflow">if</span>( input.<a class="code hl_function" href="../../d4/d84/class_u_a_input.html#af2bf2e21cd4fb421670bbf92cbe9b2cc">IsDoubleClickLimit</a>() )</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            {</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>                m_ElementModifier.SetText( <span class="stringliteral">&quot;#keybind_doubletap&quot;</span> );</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            }</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        }</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            m_ElementModifier.SetText( <span class="stringliteral">&quot;&quot;</span> );</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <span class="keywordtype">string</span> option_text;</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>;</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        </div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">GetInput</a>().<a class="code hl_function" href="../../d4/d7b/class_input.html#a84e3d367c7245f1b3e22e288d164f992">GetActionDesc</a>( m_ElementIndex, option_text );</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        m_ElementName.SetText( option_text );</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        </div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="comment">// column #1 :: keyboard + mouse</span></div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a9c3a5fd20ab25d06bffd9bb0de205c56">SetElementTitle</a>(m_PrimaryBindButton, input, EUAINPUT_DEVICE_KEYBOARDMOUSE);</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span> </div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <span class="comment">// column #2 :: controller</span></div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a9c3a5fd20ab25d06bffd9bb0de205c56">SetElementTitle</a>(m_AlternativeBindButton, input, EUAINPUT_DEVICE_CONTROLLER);</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>    }</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    </div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a12e17f3bb589409e769ed787fdb8dc73">  175</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a12e17f3bb589409e769ed787fdb8dc73">Reload</a>( <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a> custom_binds, <span class="keywordtype">bool</span> is_alternate )</div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    {</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>        <span class="keywordtype">string</span> output;</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        <span class="keywordflow">if</span>( custom_binds.Count() &gt; 1 )</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        {</div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>            <span class="keywordflow">if</span>( custom_binds.Get( 0 ) != 0 )</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>                output = <a class="code hl_function" href="../../d4/d5a/_u_a_input_8c.html#a616105f49c02ce570dbb5acb4b9b17f8">GetUApi</a>().<a class="code hl_function" href="../../d6/ddd/class_u_a_input_a_p_i.html#a643f52ee26e0d07840e9a014eccb7e75">GetButtonName</a>( custom_binds.Get( 0 ) );</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>            <span class="keywordflow">for</span>( <span class="keywordtype">int</span> i = 1; i &lt; custom_binds.Count(); i++ )</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>            {</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>                <span class="keywordflow">if</span>( custom_binds.Get( i ) != 0 )</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>                    output += <span class="stringliteral">&quot; + &quot;</span> + <a class="code hl_function" href="../../d4/d5a/_u_a_input_8c.html#a616105f49c02ce570dbb5acb4b9b17f8">GetUApi</a>().<a class="code hl_function" href="../../d6/ddd/class_u_a_input_a_p_i.html#a643f52ee26e0d07840e9a014eccb7e75">GetButtonName</a>( custom_binds.Get( i ) );</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>            }</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        }</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>( custom_binds.Count() &gt; 0 )</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>        {</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>            <span class="keywordflow">if</span>( custom_binds.Get( 0 ) != 0 )</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>                output = <a class="code hl_function" href="../../d4/d5a/_u_a_input_8c.html#a616105f49c02ce570dbb5acb4b9b17f8">GetUApi</a>().<a class="code hl_function" href="../../d6/ddd/class_u_a_input_a_p_i.html#a643f52ee26e0d07840e9a014eccb7e75">GetButtonName</a>( custom_binds.Get( 0 ) );</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>        }</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        </div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>        <span class="keywordflow">if</span>( is_alternate )</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>        {</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>            m_CustomAlternateBind = custom_binds;</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>            m_IsAlternateEdited = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>            m_AlternativeBindButton.SetText( output );</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>        }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>        {</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>            m_CustomBind = custom_binds;</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>            m_IsEdited = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>            m_PrimaryBindButton.SetText( output );</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        }</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>    }</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>    </div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a40ff3f9f9987674ae82885255004dfae">  208</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a40ff3f9f9987674ae82885255004dfae">StartEnteringKeybind</a>()</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>    {</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>        m_Group.StartEnteringKeybind( m_ElementIndex );</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        m_PrimaryBindButton.SetText( <span class="stringliteral">&quot;#layout_keybinding_new_keybind&quot;</span> );</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>    }</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>    </div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ac15106f346e8b941db57c1ac4a3cd3c0">  214</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ac15106f346e8b941db57c1ac4a3cd3c0">CancelEnteringKeybind</a>()</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>    {</div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3fddfaa85c810a788962f7e46522cd7c">Reload</a>();</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a827a0c3c338553f8a1ad09a4078b6c6c">  219</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a827a0c3c338553f8a1ad09a4078b6c6c">StartEnteringAlternateKeybind</a>()</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        m_Group.StartEnteringAlternateKeybind( m_ElementIndex );</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        m_AlternativeBindButton.SetText( <span class="stringliteral">&quot;#layout_keybinding_new_keybind&quot;</span> );</div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>    }</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>    </div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#ae37aa1eeddbc040efd010423f1612312">  225</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#ae37aa1eeddbc040efd010423f1612312">CancelEnteringAlternateKeybind</a>()</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    {</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>        <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3fddfaa85c810a788962f7e46522cd7c">Reload</a>();</div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>    }</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    </div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">  230</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">OnClick</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    {</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span>        <span class="keywordflow">if</span>( !m_Group.IsEnteringKeyBind() )</div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>        {</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>            <span class="keywordflow">if</span>( w == m_PrimaryBindButton )</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>            {</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>                m_EntryTimer.Run( 0.01, <span class="keyword">this</span>, <span class="stringliteral">&quot;StartEnteringKeybind&quot;</span> );</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>            }</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span>            <span class="keywordflow">if</span>( w == m_AlternativeBindButton )</div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span>            {</div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>                m_EntryTimer.Run( 0.01, <span class="keyword">this</span>, <span class="stringliteral">&quot;StartEnteringAlternateKeybind&quot;</span> );</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>            }</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>        }</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>    }</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span>    </div>
<div class="line"><a id="l00246" name="l00246"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#a3bd7af8067813f961b87017e170701d8">  246</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#a3bd7af8067813f961b87017e170701d8">OnMouseButtonUp</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a>, <span class="keywordtype">int</span> button )</div>
<div class="line"><a id="l00247" name="l00247"></a><span class="lineno">  247</span>    {</div>
<div class="line"><a id="l00248" name="l00248"></a><span class="lineno">  248</span>        <span class="keywordflow">if</span>( w == m_PrimaryClear )</div>
<div class="line"><a id="l00249" name="l00249"></a><span class="lineno">  249</span>        {</div>
<div class="line"><a id="l00250" name="l00250"></a><span class="lineno">  250</span>            m_IsEdited              = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00251" name="l00251"></a><span class="lineno">  251</span>            m_CustomBind            = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a>;</div>
<div class="line"><a id="l00252" name="l00252"></a><span class="lineno">  252</span>            m_PrimaryBindButton.SetText( <span class="stringliteral">&quot;&quot;</span> );</div>
<div class="line"><a id="l00253" name="l00253"></a><span class="lineno">  253</span>            m_Group.<a class="code hl_function" href="../../d2/d41/classarray.html#ac012a439917f361207b7d219ee6b2f46">ClearKeybind</a>( m_ElementIndex );</div>
<div class="line"><a id="l00254" name="l00254"></a><span class="lineno">  254</span>        }</div>
<div class="line"><a id="l00255" name="l00255"></a><span class="lineno">  255</span>        <span class="keywordflow">if</span>( w == m_AlternativeClear )</div>
<div class="line"><a id="l00256" name="l00256"></a><span class="lineno">  256</span>        {</div>
<div class="line"><a id="l00257" name="l00257"></a><span class="lineno">  257</span>            m_IsAlternateEdited     = <span class="keyword">true</span>;</div>
<div class="line"><a id="l00258" name="l00258"></a><span class="lineno">  258</span>            m_CustomAlternateBind   = <span class="keyword">new</span> <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;int&gt;</a>;</div>
<div class="line"><a id="l00259" name="l00259"></a><span class="lineno">  259</span>            m_AlternativeBindButton.SetText( <span class="stringliteral">&quot;&quot;</span> );</div>
<div class="line"><a id="l00260" name="l00260"></a><span class="lineno">  260</span>            m_Group.<a class="code hl_function" href="../../d2/d41/classarray.html#a0e3d083addd69150e0bc984895944a1b">ClearAlternativeKeybind</a>( m_ElementIndex );</div>
<div class="line"><a id="l00261" name="l00261"></a><span class="lineno">  261</span>        }</div>
<div class="line"><a id="l00262" name="l00262"></a><span class="lineno">  262</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00263" name="l00263"></a><span class="lineno">  263</span>    }</div>
<div class="line"><a id="l00264" name="l00264"></a><span class="lineno">  264</span>    </div>
<div class="line"><a id="l00265" name="l00265"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#adb29d3b0007d7c5899f77b5c8ec65e50">  265</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#adb29d3b0007d7c5899f77b5c8ec65e50">OnMouseEnter</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> )</div>
<div class="line"><a id="l00266" name="l00266"></a><span class="lineno">  266</span>    {</div>
<div class="line"><a id="l00267" name="l00267"></a><span class="lineno">  267</span>        <span class="keywordflow">if</span>( w == m_PrimaryBindButton || w == m_PrimaryClear )</div>
<div class="line"><a id="l00268" name="l00268"></a><span class="lineno">  268</span>        {</div>
<div class="line"><a id="l00269" name="l00269"></a><span class="lineno">  269</span>            m_PrimaryBindButton.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 0, 0 ) );</div>
<div class="line"><a id="l00270" name="l00270"></a><span class="lineno">  270</span>            m_PrimaryClear.Show( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00271" name="l00271"></a><span class="lineno">  271</span>            m_PrimaryClear.Update();</div>
<div class="line"><a id="l00272" name="l00272"></a><span class="lineno">  272</span>            m_AlternativeClear.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00273" name="l00273"></a><span class="lineno">  273</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00274" name="l00274"></a><span class="lineno">  274</span>        }</div>
<div class="line"><a id="l00275" name="l00275"></a><span class="lineno">  275</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span>( w == m_AlternativeBindButton || w == m_AlternativeClear )</div>
<div class="line"><a id="l00276" name="l00276"></a><span class="lineno">  276</span>        {</div>
<div class="line"><a id="l00277" name="l00277"></a><span class="lineno">  277</span>            m_AlternativeBindButton.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 1, 0, 0 ) );</div>
<div class="line"><a id="l00278" name="l00278"></a><span class="lineno">  278</span>            m_PrimaryClear.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00279" name="l00279"></a><span class="lineno">  279</span>            m_AlternativeClear.Show( <span class="keyword">true</span> );</div>
<div class="line"><a id="l00280" name="l00280"></a><span class="lineno">  280</span>            m_AlternativeClear.Update();</div>
<div class="line"><a id="l00281" name="l00281"></a><span class="lineno">  281</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00282" name="l00282"></a><span class="lineno">  282</span>        }</div>
<div class="line"><a id="l00283" name="l00283"></a><span class="lineno">  283</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00284" name="l00284"></a><span class="lineno">  284</span>        {</div>
<div class="line"><a id="l00285" name="l00285"></a><span class="lineno">  285</span>            m_PrimaryBindButton.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 0, 0, 0, 0 ) );</div>
<div class="line"><a id="l00286" name="l00286"></a><span class="lineno">  286</span>            m_AlternativeBindButton.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 0, 0, 0 ) );</div>
<div class="line"><a id="l00287" name="l00287"></a><span class="lineno">  287</span>            m_PrimaryClear.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00288" name="l00288"></a><span class="lineno">  288</span>            m_AlternativeClear.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00289" name="l00289"></a><span class="lineno">  289</span>        }</div>
<div class="line"><a id="l00290" name="l00290"></a><span class="lineno">  290</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00291" name="l00291"></a><span class="lineno">  291</span>    }</div>
<div class="line"><a id="l00292" name="l00292"></a><span class="lineno">  292</span>    </div>
<div class="line"><a id="l00293" name="l00293"></a><span class="lineno"><a class="line" href="../../d9/d0e/group___widget_a_p_i.html#aa0961e354274ce56d9047e4461f95a1a">  293</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d0e/group___widget_a_p_i.html#aa0961e354274ce56d9047e4461f95a1a">OnMouseLeave</a>( <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> w, <a class="code hl_class" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> enterW, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a>, <span class="keywordtype">int</span> <a class="code hl_variable" href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a> )</div>
<div class="line"><a id="l00294" name="l00294"></a><span class="lineno">  294</span>    {</div>
<div class="line"><a id="l00295" name="l00295"></a><span class="lineno">  295</span>        <span class="keywordflow">if</span>( w == m_PrimaryClear || w == m_PrimaryBindButton )</div>
<div class="line"><a id="l00296" name="l00296"></a><span class="lineno">  296</span>        {</div>
<div class="line"><a id="l00297" name="l00297"></a><span class="lineno">  297</span>            <span class="keywordflow">if</span>( enterW != m_PrimaryClear &amp;&amp; enterW != m_PrimaryBindButton )</div>
<div class="line"><a id="l00298" name="l00298"></a><span class="lineno">  298</span>            {</div>
<div class="line"><a id="l00299" name="l00299"></a><span class="lineno">  299</span>                m_PrimaryClear.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00300" name="l00300"></a><span class="lineno">  300</span>                m_PrimaryBindButton.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 0, 0, 0 ) );</div>
<div class="line"><a id="l00301" name="l00301"></a><span class="lineno">  301</span>            }</div>
<div class="line"><a id="l00302" name="l00302"></a><span class="lineno">  302</span>        }</div>
<div class="line"><a id="l00303" name="l00303"></a><span class="lineno">  303</span>        <span class="keywordflow">if</span>( w == m_AlternativeClear || w == m_AlternativeBindButton )</div>
<div class="line"><a id="l00304" name="l00304"></a><span class="lineno">  304</span>        {</div>
<div class="line"><a id="l00305" name="l00305"></a><span class="lineno">  305</span>            <span class="keywordflow">if</span>( enterW != m_AlternativeClear &amp;&amp; enterW != m_AlternativeBindButton )</div>
<div class="line"><a id="l00306" name="l00306"></a><span class="lineno">  306</span>            {</div>
<div class="line"><a id="l00307" name="l00307"></a><span class="lineno">  307</span>                m_AlternativeClear.Show( <span class="keyword">false</span> );</div>
<div class="line"><a id="l00308" name="l00308"></a><span class="lineno">  308</span>                m_AlternativeBindButton.SetColor( <a class="code hl_function" href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a>( 1, 0, 0, 0 ) );</div>
<div class="line"><a id="l00309" name="l00309"></a><span class="lineno">  309</span>            }</div>
<div class="line"><a id="l00310" name="l00310"></a><span class="lineno">  310</span>        }</div>
<div class="line"><a id="l00311" name="l00311"></a><span class="lineno">  311</span>        <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00312" name="l00312"></a><span class="lineno">  312</span>    }</div>
<div class="line"><a id="l00313" name="l00313"></a><span class="lineno">  313</span>}</div>
<div class="ttc" id="a_icon_8c_html_a2970c38de5fbde060cc7a0ed546e674f"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#a2970c38de5fbde060cc7a0ed546e674f">x</a></div><div class="ttdeci">Icon x</div></div>
<div class="ttc" id="a_icon_8c_html_acd41c12fe81446bff0920670641367de"><div class="ttname"><a href="../../dd/d4b/_icon_8c.html#acd41c12fe81446bff0920670641367de">y</a></div><div class="ttdeci">Icon y</div></div>
<div class="ttc" id="a_plugin_day_z_infected_debug_8c_html_a8ccf841cb59e451791bcb2e1ac4f1edc"><div class="ttname"><a href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a></div><div class="ttdeci">string name</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d3f/_plugin_day_z_infected_debug_8c_source.html#l00032">PluginDayZInfectedDebug.c:32</a></div></div>
<div class="ttc" id="a_size_to_child_8c_html_abc384ffa3d9e20d9963688d1e3492cb7"><div class="ttname"><a href="../../da/d53/_size_to_child_8c.html#abc384ffa3d9e20d9963688d1e3492cb7">m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00091">SizeToChild.c:91</a></div></div>
<div class="ttc" id="a_u_a_input_8c_html_a616105f49c02ce570dbb5acb4b9b17f8"><div class="ttname"><a href="../../d4/d5a/_u_a_input_8c.html#a616105f49c02ce570dbb5acb4b9b17f8">GetUApi</a></div><div class="ttdeci">proto native UAInputAPI GetUApi()</div></div>
<div class="ttc" id="aclass_c_game_html_a9acfc7077cec18228fcafc8649054e66"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a9acfc7077cec18228fcafc8649054e66">CGame::GetWorkspace</a></div><div class="ttdeci">proto native WorkspaceWidget GetWorkspace()</div></div>
<div class="ttc" id="aclass_c_game_html_aecd897d7ae85f4fba1f7ee552046f909"><div class="ttname"><a href="../../d2/de6/class_c_game.html#aecd897d7ae85f4fba1f7ee552046f909">CGame::GetInput</a></div><div class="ttdeci">proto native Input GetInput()</div></div>
<div class="ttc" id="aclass_input_html_a84e3d367c7245f1b3e22e288d164f992"><div class="ttname"><a href="../../d4/d7b/class_input.html#a84e3d367c7245f1b3e22e288d164f992">Input::GetActionDesc</a></div><div class="ttdeci">proto int GetActionDesc(int action_index, out string desc)</div></div>
<div class="ttc" id="aclass_u_a_input_a_p_i_html_a121284b551b5775907e20572c4f32a57"><div class="ttname"><a href="../../d6/ddd/class_u_a_input_a_p_i.html#a121284b551b5775907e20572c4f32a57">UAInputAPI::GetInputByID</a></div><div class="ttdeci">proto native UAInput GetInputByID(int iID)</div><div class="ttdoc">returns list of all bindable (i.e. visible) inputs from the active group ('core' by default)</div></div>
<div class="ttc" id="aclass_u_a_input_a_p_i_html_a643f52ee26e0d07840e9a014eccb7e75"><div class="ttname"><a href="../../d6/ddd/class_u_a_input_a_p_i.html#a643f52ee26e0d07840e9a014eccb7e75">UAInputAPI::GetButtonName</a></div><div class="ttdeci">proto native owned string GetButtonName(int iHash)</div></div>
<div class="ttc" id="aclass_u_a_input_html"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html">UAInput</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d5a/_u_a_input_8c_source.html#l00023">UAInput.c:24</a></div></div>
<div class="ttc" id="aclass_u_a_input_html_a2a6104fbdf96b25bdc13669a5a65a892"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#a2a6104fbdf96b25bdc13669a5a65a892">UAInput::IsHoldLimit</a></div><div class="ttdeci">proto native bool IsHoldLimit()</div></div>
<div class="ttc" id="aclass_u_a_input_html_a2b3a6793ded4a383f1203be37b938c82"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#a2b3a6793ded4a383f1203be37b938c82">UAInput::Binding</a></div><div class="ttdeci">proto native int Binding(int iIndex)</div></div>
<div class="ttc" id="aclass_u_a_input_html_a39c2017828383953b6388b32b4f2e7bf"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#a39c2017828383953b6388b32b4f2e7bf">UAInput::IsClickLimit</a></div><div class="ttdeci">proto native bool IsClickLimit()</div></div>
<div class="ttc" id="aclass_u_a_input_html_a796d99ca2a37c671b0cb7a611080c403"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#a796d99ca2a37c671b0cb7a611080c403">UAInput::BindingCount</a></div><div class="ttdeci">proto native int BindingCount()</div></div>
<div class="ttc" id="aclass_u_a_input_html_a9eec0700250a5a241ec0f4343bb93b28"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#a9eec0700250a5a241ec0f4343bb93b28">UAInput::AlternativeCount</a></div><div class="ttdeci">proto native int AlternativeCount()</div></div>
<div class="ttc" id="aclass_u_a_input_html_aa1d7e1026e66a97aea62e86ef94cf85a"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#aa1d7e1026e66a97aea62e86ef94cf85a">UAInput::SelectAlternative</a></div><div class="ttdeci">proto native void SelectAlternative(int iIndex)</div></div>
<div class="ttc" id="aclass_u_a_input_html_aabaa380fd844cab1674b0632c242e094"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#aabaa380fd844cab1674b0632c242e094">UAInput::IsReleaseLimit</a></div><div class="ttdeci">proto native bool IsReleaseLimit()</div></div>
<div class="ttc" id="aclass_u_a_input_html_ab0ad41bb70c2216547725d03507e577c"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#ab0ad41bb70c2216547725d03507e577c">UAInput::IsCombo</a></div><div class="ttdeci">proto native bool IsCombo()</div></div>
<div class="ttc" id="aclass_u_a_input_html_abb36dbc999b9276097778e8f656859ff"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#abb36dbc999b9276097778e8f656859ff">UAInput::IsHoldBeginLimit</a></div><div class="ttdeci">proto native bool IsHoldBeginLimit()</div></div>
<div class="ttc" id="aclass_u_a_input_html_ad7ce198eb2b692d20c618e9b9b1b001a"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#ad7ce198eb2b692d20c618e9b9b1b001a">UAInput::IsPressLimit</a></div><div class="ttdeci">proto native bool IsPressLimit()</div></div>
<div class="ttc" id="aclass_u_a_input_html_ae3a25d3438d53cc4510d4f953b78061e"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#ae3a25d3438d53cc4510d4f953b78061e">UAInput::IsLimited</a></div><div class="ttdeci">proto native bool IsLimited()</div></div>
<div class="ttc" id="aclass_u_a_input_html_af2bf2e21cd4fb421670bbf92cbe9b2cc"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#af2bf2e21cd4fb421670bbf92cbe9b2cc">UAInput::IsDoubleClickLimit</a></div><div class="ttdeci">proto native bool IsDoubleClickLimit()</div></div>
<div class="ttc" id="aclass_u_a_input_html_af5c65030720fe3756cb9181f8dcf6fe0"><div class="ttname"><a href="../../d4/d84/class_u_a_input.html#af5c65030720fe3756cb9181f8dcf6fe0">UAInput::CheckBindDevice</a></div><div class="ttdeci">proto native bool CheckBindDevice(int iIndex, int iDeviceFlags)</div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="aclassarray_html_a0e3d083addd69150e0bc984895944a1b"><div class="ttname"><a href="../../d2/d41/classarray.html#a0e3d083addd69150e0bc984895944a1b">array::ClearAlternativeKeybind</a></div><div class="ttdeci">void ClearAlternativeKeybind(int key_index)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da4/_keybindings_container_8c_source.html#l00123">KeybindingsContainer.c:123</a></div></div>
<div class="ttc" id="aclassarray_html_ac012a439917f361207b7d219ee6b2f46"><div class="ttname"><a href="../../d2/d41/classarray.html#ac012a439917f361207b7d219ee6b2f46">array::ClearKeybind</a></div><div class="ttdeci">void ClearKeybind(int key_index)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/da4/_keybindings_container_8c_source.html#l00118">KeybindingsContainer.c:118</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___tools_html_gaae15173306f94a164b31a4baea73e5eb"><div class="ttname"><a href="../../d9/dc3/group___tools.html#gaae15173306f94a164b31a4baea73e5eb">CALL_CATEGORY_GUI</a></div><div class="ttdeci">const int CALL_CATEGORY_GUI</div><div class="ttdef"><b>Definition:</b> <a href="../../df/dc2/3___game_2tools_2tools_8c_source.html#l00009">tools.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a0834bc065eaf8ab702c7994d94104738"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a0834bc065eaf8ab702c7994d94104738">ScriptedWidgetEventHandler::m_CustomBind</a></div><div class="ttdeci">protected ref array&lt; int &gt; m_CustomBind</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00018">KeybindingElement.c:18</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a12e17f3bb589409e769ed787fdb8dc73"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a12e17f3bb589409e769ed787fdb8dc73">ScriptedWidgetEventHandler::Reload</a></div><div class="ttdeci">void Reload(array&lt; int &gt; custom_binds, bool is_alternate)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00175">KeybindingElement.c:175</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a174b9d008fb839d4b92770080e2d1542"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a174b9d008fb839d4b92770080e2d1542">ScriptedWidgetEventHandler::m_PrimaryClear</a></div><div class="ttdeci">protected Widget m_PrimaryClear</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00011">KeybindingElement.c:11</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a218a5f6993f3b0a098f9223fc6e01d45"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a218a5f6993f3b0a098f9223fc6e01d45">ScriptedWidgetEventHandler::m_CustomAlternateBind</a></div><div class="ttdeci">protected ref array&lt; int &gt; m_CustomAlternateBind</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00019">KeybindingElement.c:19</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a27d858834f2bed64da64607f1eb19379"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a27d858834f2bed64da64607f1eb19379">ScriptedWidgetEventHandler::m_AlternativeClear</a></div><div class="ttdeci">protected Widget m_AlternativeClear</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00012">KeybindingElement.c:12</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a2f5534cc2e03cac5a595ee8329d06d0c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a2f5534cc2e03cac5a595ee8329d06d0c">ScriptedWidgetEventHandler::SetElementTitle</a></div><div class="ttdeci">void SetElementTitle(ButtonWidget btnWidget, UAInput pInput, int iDeviceFlags)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00066">KeybindingElement.c:66</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a3bd7af8067813f961b87017e170701d8"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a3bd7af8067813f961b87017e170701d8">ScriptedWidgetEventHandler::OnMouseButtonUp</a></div><div class="ttdeci">override bool OnMouseButtonUp(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00246">KeybindingElement.c:246</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a3fd0a40a804b37547582ec8af3ef5f4e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a3fd0a40a804b37547582ec8af3ef5f4e">ScriptedWidgetEventHandler::m_AlternativeBindButton</a></div><div class="ttdeci">protected ButtonWidget m_AlternativeBindButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00010">KeybindingElement.c:10</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a3fddfaa85c810a788962f7e46522cd7c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a3fddfaa85c810a788962f7e46522cd7c">ScriptedWidgetEventHandler::Reload</a></div><div class="ttdeci">void Reload()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00122">KeybindingElement.c:122</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a40ff3f9f9987674ae82885255004dfae"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a40ff3f9f9987674ae82885255004dfae">ScriptedWidgetEventHandler::StartEnteringKeybind</a></div><div class="ttdeci">void StartEnteringKeybind()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00208">KeybindingElement.c:208</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a4a7b2ce052ece907d1dae91e5b3a3b8c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a4a7b2ce052ece907d1dae91e5b3a3b8c">ScriptedWidgetEventHandler::m_PrimaryBindButton</a></div><div class="ttdeci">protected ButtonWidget m_PrimaryBindButton</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00009">KeybindingElement.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a51e13d15e80d554d2891abd46fc02a0e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a51e13d15e80d554d2891abd46fc02a0e">ScriptedWidgetEventHandler::m_ElementIndex</a></div><div class="ttdeci">protected int m_ElementIndex</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00014">KeybindingElement.c:14</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a71b8e094195dbad856b869f74ddc40f0"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a71b8e094195dbad856b869f74ddc40f0">ScriptedWidgetEventHandler::m_Root</a></div><div class="ttdeci">protected Widget m_Root</div><div class="ttdef"><b>Definition:</b> <a href="../../da/d53/_size_to_child_8c_source.html#l00009">SizeToChild.c:9</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a827a0c3c338553f8a1ad09a4078b6c6c"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a827a0c3c338553f8a1ad09a4078b6c6c">ScriptedWidgetEventHandler::StartEnteringAlternateKeybind</a></div><div class="ttdeci">void StartEnteringAlternateKeybind()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00219">KeybindingElement.c:219</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a8f5a85fabb6a8642dda02ca0ea5fa15e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a8f5a85fabb6a8642dda02ca0ea5fa15e">ScriptedWidgetEventHandler::GetChangedBinds</a></div><div class="ttdeci">array&lt; int &gt; GetChangedBinds()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00055">KeybindingElement.c:55</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a9c3a5fd20ab25d06bffd9bb0de205c56"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a9c3a5fd20ab25d06bffd9bb0de205c56">ScriptedWidgetEventHandler::SetElementTitle</a></div><div class="ttdeci">bool SetElementTitle(UAInput pInput, int iDeviceFlags, out string output)</div><div class="ttdoc">assemble all active bindings at widget element</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d5d/_control_mapping_keybinds_8c_source.html#l00061">ControlMappingKeybinds.c:61</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_a9e8b987fef96d9ce15da4b1f0617200b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#a9e8b987fef96d9ce15da4b1f0617200b">ScriptedWidgetEventHandler::GetLayoutName</a></div><div class="ttdeci">string GetLayoutName()</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d5d/_control_mapping_keybinds_8c_source.html#l00155">ControlMappingKeybinds.c:155</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa010a657038cf83662c234e8a03d35a5"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa010a657038cf83662c234e8a03d35a5">ScriptedWidgetEventHandler::GetChangedAlternateBinds</a></div><div class="ttdeci">array&lt; int &gt; GetChangedAlternateBinds()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00060">KeybindingElement.c:60</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa0961e354274ce56d9047e4461f95a1a"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa0961e354274ce56d9047e4461f95a1a">ScriptedWidgetEventHandler::OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00293">KeybindingElement.c:293</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa117830c0d145358c1a656850f1de7f3"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa117830c0d145358c1a656850f1de7f3">ScriptedWidgetEventHandler::OnClick</a></div><div class="ttdeci">override bool OnClick(Widget w, int x, int y, int button)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00230">KeybindingElement.c:230</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa5ef9ec8f05f28d5742184c8e7860ecd"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa5ef9ec8f05f28d5742184c8e7860ecd">ScriptedWidgetEventHandler::m_ElementModifier</a></div><div class="ttdeci">protected TextWidget m_ElementModifier</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00008">KeybindingElement.c:8</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aa76415440104c254a3568da6b7d43458"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aa76415440104c254a3568da6b7d43458">ScriptedWidgetEventHandler::m_Group</a></div><div class="ttdeci">protected KeybindingsGroup m_Group</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00004">KeybindingElement.c:4</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_aae2a5cc1581cf781edd08e7964765e80"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#aae2a5cc1581cf781edd08e7964765e80">ScriptedWidgetEventHandler::m_ElementName</a></div><div class="ttdeci">protected TextWidget m_ElementName</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00007">KeybindingElement.c:7</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_abc0196fd298035b4893d187dcb635893"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#abc0196fd298035b4893d187dcb635893">ScriptedWidgetEventHandler::KeybindingElement</a></div><div class="ttdeci">void KeybindingElement(int key_index, Widget parent, KeybindingsGroup group)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00023">KeybindingElement.c:23</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ac15106f346e8b941db57c1ac4a3cd3c0"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ac15106f346e8b941db57c1ac4a3cd3c0">ScriptedWidgetEventHandler::CancelEnteringKeybind</a></div><div class="ttdeci">void CancelEnteringKeybind()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00214">KeybindingElement.c:214</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ad73676d6c90beb803937264def58944e"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ad73676d6c90beb803937264def58944e">ScriptedWidgetEventHandler::m_IsEdited</a></div><div class="ttdeci">protected bool m_IsEdited</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00015">KeybindingElement.c:15</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_adb29d3b0007d7c5899f77b5c8ec65e50"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#adb29d3b0007d7c5899f77b5c8ec65e50">ScriptedWidgetEventHandler::OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00265">KeybindingElement.c:265</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ae37aa1eeddbc040efd010423f1612312"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ae37aa1eeddbc040efd010423f1612312">ScriptedWidgetEventHandler::CancelEnteringAlternateKeybind</a></div><div class="ttdeci">void CancelEnteringAlternateKeybind()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00225">KeybindingElement.c:225</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ae9967cb314a78c9afe488de757d1da75"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ae9967cb314a78c9afe488de757d1da75">ScriptedWidgetEventHandler::IsAlternateChanged</a></div><div class="ttdeci">bool IsAlternateChanged()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00050">KeybindingElement.c:50</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_af2733ae6095bc52db6a67d6ffa418f5b"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#af2733ae6095bc52db6a67d6ffa418f5b">ScriptedWidgetEventHandler::IsChanged</a></div><div class="ttdeci">bool IsChanged()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00045">KeybindingElement.c:45</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_af972ff595b3f0c12df7f2474e49adff9"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#af972ff595b3f0c12df7f2474e49adff9">ScriptedWidgetEventHandler::m_IsAlternateEdited</a></div><div class="ttdeci">protected bool m_IsAlternateEdited</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d17/_keybinding_element_8c_source.html#l00016">KeybindingElement.c:16</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_da/dbc/class_text_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#da/dbc/class_text_widget">TextWidget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00205">EnWidgets.c:206</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_dd/d6a/class_widget"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00175">EnWidgets.c:176</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_df/df4/class_scripted_widget_event_handler"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a></div><div class="ttdoc">map: item x vector(index, width, height)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d33/_en_widgets_8c_source.html#l00524">EnWidgets.c:525</a></div></div>
<div class="ttc" id="agroup___widget_a_p_i_html_ga28f2c34f1fa5af85b32e1a11ef6f6024"><div class="ttname"><a href="../../d9/d0e/group___widget_a_p_i.html#ga28f2c34f1fa5af85b32e1a11ef6f6024">WorkspaceWidget::CreateWidgets</a></div><div class="ttdeci">proto native external Widget CreateWidgets(string layout, Widget parentWidget=NULL, bool immedUpdate=true)</div><div class="ttdoc">Create widgets from *.layout file.</div></div>
<div class="ttc" id="aproto_8c_html_a4aa1cc36d7e57ee79ba6713313ce7b1b"><div class="ttname"><a href="../../dc/d3d/proto_8c.html#a4aa1cc36d7e57ee79ba6713313ce7b1b">ARGBF</a></div><div class="ttdeci">int ARGBF(float fa, float fr, float fg, float fb)</div><div class="ttdoc">Converts &lt;0.0, 1.0&gt; ARGB into color.</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d3d/proto_8c_source.html#l00332">proto.c:332</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_6abc2eacac2e7d76bc186cd4309aa0e0.html">5_Mission</a></li><li class="navelem"><a class="el" href="../../dir_2356304830c38acce59b30a90a6c3ad1.html">GUI</a></li><li class="navelem"><a class="el" href="../../dir_5a24b5f2ae2b05194f42ac7ef23e72cc.html">NewUI</a></li><li class="navelem"><a class="el" href="../../dir_600b96e9ee918decce5c3755ddeb51d3.html">Keybindings</a></li><li class="navelem"><a class="el" href="../../d7/d17/_keybinding_element_8c.html">KeybindingElement.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
